Bug 252208 - security/py-cryptography: Update to 3.3.1
Summary: security/py-cryptography: Update to 3.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://github.com/pyca/cryptography/...
Keywords: needs-qa
Depends on:
Blocks: 250799 253711
  Show dependency treegraph
 
Reported: 2020-12-27 16:10 UTC by Hung-Yi Chen
Modified: 2021-02-25 13:50 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
security__py-cryptography.diff (982 bytes, patch)
2020-12-27 16:10 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2020-12-27 16:10:14 UTC
Created attachment 221010 [details]
security__py-cryptography.diff

Update to 3.3.1.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-12-28 00:58:34 UTC
^Triage: [tags] in issue Titles are deprecated
Comment 2 Kai Knoblich freebsd_committer 2020-12-28 09:33:55 UTC
The 3.3.1 release doesn't support OpenSSL 1.0.2 which was removed in the 3.2 release.

That means it won't work with FreeBSD 11.4-RELEASE/-STABLE and OpenSSL from the base system.
Comment 3 Charlie Li 2021-02-09 21:35:43 UTC
3.4 branch has been released starting 7 February, currently on 3.4.4.

Heads up, rust code has been integrated. Optional for 3.4, mandatory/unconditional for 3.5.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-02-10 00:43:27 UTC
Thanks Charli, am aware and in contact with upstream.
Comment 5 Dima Panov freebsd_committer 2021-02-25 13:50:25 UTC
Overcome by events, see https://svnweb.freebsd.org/changeset/ports/566534